<?php

# переключатель роутера, формы
if ($page == 'form') { switch ($route) { case 'stop': $stop = true; // вывод ошибки, неверный запрос
case 'activate': $folder = 'guest'; $file = 'activate'; break; // активация
case 'bank': $folder = 'make'; $file = 'bank'; $status = 'guest'; break; // банк
case 'chat': $folder = 'union'; $file = 'chat'; $status = 'user'; $param = true; break; // чат
case 'gifts': $folder = 'union'; $file = 'gifts'; $status = 'user'; break; // подарки
case 'login': $folder = 'guest'; $file = 'login'; $status = 'none'; break; // авторизация
case 'mail': $folder = 'union'; $file = 'mail'; $status = 'user'; break; // почта
case 'news': $folder = 'info'; $file = 'news'; $status = 'admin'; $param = true; break; // новости
case 'nick': $folder = 'users'; $file = 'nick'; $status = 'user'; break; // указание ника
case 'profile': $folder = 'users'; $file = 'profile'; $status = 'user'; break; // редактирование профиля
case 'recovery': $folder = 'guest'; $file = 'recovery'; $status = 'none'; break; // восстановление
case 'register': $folder = 'guest'; $file = 'register'; $status = 'none'; break; // регистрация
case 'remove': $folder = 'users'; $file = 'remove'; $status = 'user'; break; // удаление аккаунта
case 'save': $folder = 'users'; $file = 'save'; $status = 'guest'; break; // сохранение
case 'settings': $folder = 'users'; $file = 'settings'; $status = 'user'; break; // настройки
default: $stop = true; } } // страница отсутствует

# переключатель роутера, страницы
if ($page == 'sheet') { switch ($route) { case 'stop': $stop = true; // вывод ошибки, неверный запрос
case 'about': $folder = 'info'; $file = 'about'; $status = 'guest'; $param = true; break; // справка
case 'activate': $folder = 'guest'; $file = 'activate'; $param = true; break; // активация
case 'animal': $folder = 'main'; $file = 'animal'; $status = 'guest'; $param = true; break; // животные
case 'bank': $folder = 'make'; $file = 'bank'; $status = 'guest'; $param = true; break; // банк
case 'begin': $folder = 'guest'; $file = 'begin'; $status = 'none'; break; // начать игру
case 'bonus': $folder = 'make'; $file = 'bonus'; $status = 'guest'; $param = true; break; // бонус
case 'chat': $folder = 'union'; $file = 'chat'; $status = 'guest'; $params = true; break; // чат
case 'contacts': $folder = 'info'; $file = 'contacts'; break; // контакты
case 'finance': $folder = 'info'; $file = 'finance'; break; // политика использования финансовых услуг
case 'fortune': $folder = 'make'; $file = 'fortune'; $status = 'guest'; $param = true; break; // фортуна
case 'friends': $folder = 'union'; $file = 'friends'; $status = 'guest'; $param = true; break; // друзья
case 'garden': $folder = 'main'; $file = 'garden'; $status = 'guest'; $param = true; break; // грядки
case 'gifts': $folder = 'union'; $file = 'gifts'; $status = 'user'; $params = true; break; // подарки
case 'login': $folder = 'guest'; $file = 'login'; $status = 'none'; break; // авторизация
case 'logout': $folder = 'users'; $file = 'logout'; $status = 'guest'; $params = true; break; // деавторизация
case 'mail': $folder = 'union'; $file = 'mail'; $status = 'user'; $params = true; break; // почта
case 'news': $folder = 'info'; $file = 'news'; $status = 'guest'; $param = true; break; // новости
case 'nick': $folder = 'users'; $file = 'nick'; $status = 'user'; break; // указание ника
case 'payment': $folder = 'info'; $file = 'payment'; $status = 'user'; $param = true; break; // статус платежа
case 'privacy': $folder = 'info'; $file = 'privacy'; break; // политика конфиденциальности
case 'profile': $folder = 'users'; $file = 'profile'; $status = 'guest'; $param = true; break; // профиль
case 'rating': $folder = 'make'; $file = 'rating'; $status = 'guest'; $param = true; break; // рейтинги
case 'recovery': $folder = 'guest'; $file = 'recovery'; $status = 'none'; $param = true; break; // восстановление
case 'register': $folder = 'guest'; $file = 'register'; $status = 'none'; break; // регистрация
case 'remove': $folder = 'users'; $file = 'remove'; $status = 'user'; $param = true; break; // удаление аккаунта
case 'rules': $folder = 'info'; $file = 'rules'; break; // правила сайта
case 'save': $folder = 'users'; $file = 'save'; $status = 'guest'; break; // сохранение
case 'settings': $folder = 'users'; $file = 'settings'; $status = 'guest'; break; // настройки
case 'shop': $folder = 'main'; $file = 'shop'; $status = 'guest'; $param = true; break; // магазин
case 'storage': $folder = 'main'; $file = 'storage'; $status = 'guest'; $param = true; break; // склад
case 'start': $folder = 'guest'; $file = 'start'; $status = 'none'; break; // стартовая страница
case 'tasks': $folder = 'main'; $file = 'tasks'; $status = 'guest'; $params = true; break; // задачи
case 'technic': $folder = 'main'; $file = 'technic'; $status = 'guest'; $param = true; break; // техника
case 'users': $folder = 'make'; $file = 'users'; $status = 'guest'; $params = true; break; // рейтинги
default: $stop = true; } } // страница отсутствует

# переключатель роутера, обновляемые блоки
if ($page == 'block') { switch ($route) { case 'stop': $stop = true; // вывод ошибки, неверный запрос
case 'animal': $folder = 'main'; $file = 'animal'; $status = 'guest'; $param = true; break; // животные
case 'chat': $folder = 'union'; $file = 'chat'; $status = 'guest'; $params = true; break; // чат
case 'garden': $folder = 'main'; $file = 'garden'; $status = 'guest'; $param = true; break; // грядки
case 'mail': $folder = 'union'; $file = 'mail'; $status = 'user'; $params = true; break; // почта
case 'technic': $folder = 'main'; $file = 'technic'; $status = 'guest'; $param = true; break; // техника
default: $stop = true; } } // страница отсутствует

?>